package com.njcn.advance.service.govern.voltage;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.govern.voltage.SgSensitiveUnitParam;
import com.njcn.advance.pojo.po.govern.voltage.SgSensitiveUnit;
import com.njcn.advance.pojo.vo.govern.voltage.SgSensitiveUnitVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-03-14
 */
public interface ISgSensitiveUnitService extends IService<SgSensitiveUnit> {

    Page<SgSensitiveUnitVO> sgSensitiveListByMachineId(SgSensitiveUnitParam.SgSensitiveUnitQueryParam sgSensitiveUnitQueryParam);

    String addSensitiveUnit(SgSensitiveUnitParam sgSensitiveUnitParam);

    boolean updateSgSensitiveUnit(SgSensitiveUnitParam.SgSensitiveUnitUpdateParam updateParam);

    boolean deleteSgSensitiveUnitData(List<String> ids);

    List<SgSensitiveUnitVO> listAllUnitByMachineId(String id);

}
